VIC(4)

NAME
vic - VMware VMXnet Virtual Interface Controller device

SYNOPSIS
vic* at pci?

DESCRIPTION
The vic driver provides support for the VMXnet virtual NIC available in virtual machines by VMware. It appears as a simple Ethernet device but is actually a virtual network interface to the underlying host operating system.

This driver supports the vmxnet driver protocol, as an alternative to the emulated pcn(4) and em(4) interfaces also available in the VMware environment. The vic driver is optimized for the virtual machine, it can provide advanced capabilities depending on the underlying host operating system and the physical network interface controller of the host.

The vic driver supports VMware virtual NICs provided by the following products:

•   VMware ESX 2.0 and newer
•   VMware GSX 2.5 and newer
•   VMware Server 1.0 and newer
•   VMware Workstation 4.5 and newer
•   VMware Fusion 1.0 and newer

The vic driver supports the following media types:

autoselect
    Enable autoselection of the media type and options. The driver always uses the fastest available speed and the media options provided by the underlying host of the virtual machine.

For more information on configuring this device, see ifconfig(8).

EXAMPLES
The following entry must be added to the VMware configuration file to provide the vic device:

    ethernet0.virtualDev = "vmxnet"

SEE ALSO
arp(4), em(4), ifmedia(4), intro(4), netintro(4), pci(4), pcn(4), hostname.if(5), ifconfig(8)

AUTHORS
-nosplit The vic driver was written by Reyk Floeter <reyk@openbsd.org> and David Gwynne <dlg@openbsd.org>.

BUGS
There are tons of bugs in VMware and the underlying host operating systems. Please consider that the security of the OpenBSD guest can be circumvented by attacking the host environment.